Bug 835784 - 3.1 - Allow to create a network on top of existing bond in additional to create a new bond and network
3.1 - Allow to create a network on top of existing bond in additional to crea...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Igor Lvovsky
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 02:20 EDT by Igor Lvovsky
Modified: 2013-02-28 23:54 EST (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-18.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:00:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Lvovsky 2012-06-27 02:20:26 EDT
Description of problem:

Assume you already have a bond0 for (eth1, eth2) and now you want to create network "bridge_woVlan" on top of it and in additional you want to create a new bond1 for (eth3, eth4) and create network "bridge_woVlan_2" on top of bond 1.
If you want to do it in same setupNetwork command, we will fail, as you can see bellow:

Thread-38::DEBUG::2012-06-26 18:37:13,507::BindingXMLRPC::872::vds::(wrapper) client [10.35.18.152]::call setupNetworks with ({'bridge_woVlan': {'bondin
g': 'bond4', 'bridged': 'true'}, 'bridge_woVlan_2': {'bonding': 'bond3', 'bridged': 'true'}}, {'bond3': {'nics': ['eth4', 'eth5'], 'options': 'mode=4'}}
, {'connectivityCheck': 'true', 'connectivityTimeout': 60000}) {} flowID [61555da6]

....

MainProcess|Thread-38::ERROR::2012-06-26 18:37:13,535::configNetwork::1152::setupNetworks::(setupNetworks) 'bond4'
Traceback (most recent call last):
  File "/usr/share/vdsm/configNetwork.py", line 1107, in setupNetworks
    d['nics'] = bondings[d['bonding']]['nics']
KeyError: 'bond4'
MainProcess|Thread-38::ERROR::2012-06-26 18:37:13,536::supervdsmServer::76::SuperVdsm.ServerCallback::(wrapper) Error in setupNetworks
Traceback (most recent call last):
  File "/usr/share/vdsm/supervdsmServer.py", line 74, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/vdsm/supervdsmServer.py", line 150, in setupNetworks
    return configNetwork.setupNetworks(networks, bondings, **options)
  File "/usr/share/vdsm/configNetwork.py", line 1107, in setupNetworks
    d['nics'] = bondings[d['bonding']]['nics']
KeyError: 'bond4'


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create bond0 with (eth1, eth2)  and apply the action
2. Do followinf in single setupNetwork command:  
   - attach network 'bridge_woVlan' to the bond1
   - create bond2 with (eth3, eth4)
   - attach network "bridge_woVlan_2" to the bond2
   - appply

3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Igor Lvovsky 2012-06-27 03:55:36 EDT
http://gerrit.ovirt.org/#/c/5737/1
Comment 3 GenadiC 2012-07-23 03:02:25 EDT
Verified in 3.1 SI11
Comment 6 errata-xmlrpc 2012-12-04 14:00:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.